Package com.evopdf

# Class PdfFormRadioButton

java.lang.Object
com.evopdf.PdfFormRadioButton

public class PdfFormRadioButton extends Object
Represents a radio button in a radio buttons group

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PdfFormRadioButton(RectangleFloat box, String buttonName)`
  Constructs a radio button form field to be added to a radio buttons group

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RectangleFloat`
  `boundingRectangle()`
  Gets the radio button bounds in PDF page with the dimensions expressed in points
  `String`
  `buttonName()`
  Gets the radio button name
  `PdfFormRadioButtonsGroup`
  `parentGroup()`
  Gets the parent radio buttons group
  `void`
  `setBoundingRectangle(RectangleFloat bounds)`
  Sets the radio button bounds in PDF page with the dimensions expressed in points
  `void`
  `setButtonName(String buttonName)`
  Sets the radio button name

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PdfFormRadioButton

    public PdfFormRadioButton(RectangleFloat box, String buttonName)
    Constructs a radio button form field to be added to a radio buttons group
    Parameters:
      `box` - the radio button bounding box
      `buttonName` - the radio button name

- ## Method Details

  - ### parentGroup

    public PdfFormRadioButtonsGroup parentGroup()
    Gets the parent radio buttons group
    Returns:
      the parent radio buttons group

  - ### buttonName

    public String buttonName()
    Gets the radio button name
    Returns:
      the radio button name

  - ### setButtonName

    public void setButtonName(String buttonName)
    Sets the radio button name
    Parameters:
      `buttonName` - the radio button name to set

  - ### boundingRectangle

    public RectangleFloat boundingRectangle()
    Gets the radio button bounds in PDF page with the dimensions expressed in points
    Returns:
      the radio button bounds in PDF page

  - ### setBoundingRectangle

    public void setBoundingRectangle(RectangleFloat bounds)
    Sets the radio button bounds in PDF page with the dimensions expressed in points
    Parameters:
      `bounds` - the radio button bounds to set in PDF page with the dimensions expressed in points